Collection API - Direct
Charge the Customer via API
Authorization
clientId clientSecret In: header
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/payments/v1/payments/direct-charge" \ -H "Content-Type: application/json" \ -d '{ "provider": "airtel-smartcash-ng", "amount": 100000, "customerInput": {} }'{ "data": { "reference": "string", "status": "string", "sessionId": "string", "amount": 100000 }}